// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_Tunnel.h"
#include "K2Node_Tunnel.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_Tunnel::SCW_UK2Node_Tunnel(UK2Node_Tunnel* InK2Node_Tunnel) : SCW_UK2Node_EditablePinBase(InK2Node_Tunnel), K2Node_Tunnel(InK2Node_Tunnel)
{

}

UK2Node_Tunnel* SCW_UK2Node_Tunnel::ToUK2Node_Tunnel() const
{
	return K2Node_Tunnel;
}

ISCW_UK2Node_TunnelPtr SCW_UK2Node_Tunnel::ToUK2Node_TunnelPtr()
{
	return GetSharedThisAs<SCW_UK2Node_Tunnel>();
}

ISCW_UK2Node_TunnelConstPtr SCW_UK2Node_Tunnel::ToUK2Node_TunnelPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_Tunnel>();
}